VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsQueue"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public QueueTimer As Long
Public QueueCount As Long
Public QueueTimerEnabled As Boolean
Public Queue As New clsQueueCollection

Public Sub AddQ(Message As String)

    Queue.Enqueue Message
    ProcessQueue

End Sub

Public Sub ProcessQueue()
Debug.Print QueueTimerEnabled
    If Not QueueTimerEnabled Then
        If (Queue.Time <> 0) And QueueTimer = 0 Then
            StartTimer Queue.Time
            AddChat vbGreen, "Time Wait: " & Queue.Time & " - Message: " & Queue.Dequeue
        End If
    End If

End Sub

Public Sub StartTimer(Tick As Long)
    StopTimer
    QueueTimer = SetTimer(0, 0, Tick, Elasped)
End Sub

Public Sub QueueToggleEnabled()
    If Not QueueTimerEnabled Then
            QueueTimerEnabled = True
       Else
            QueueTimerEnabled = False
            
    End If
End Sub

Public Sub StopTimer()
    QueueTimer = KillTimer(0, QueueTimer)
    QueueTimerEnabled = False
    QueueTimer = 0
End Sub

Public Function Elasped() As Long
    If Not QueueTimerEnabled Then
        QueueToggleEnabled
    Else
    Call StopTimer
    Call ProcessQueue
    End If
End Function

